



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>centos7安装配置redis</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">centos7安装配置redis</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-06 05:05:14 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h3>1、下载redis</h3>
<div>
<pre class="prettyprint linenums">&gt; cd /usr/local/src #文件下载目录<br />
&gt; curl -O http://download.redis.io/releases/redis-3.2.8.tar.gz</pre>
</div>
<h3>2、解压</h3>
<div>
<pre class="prettyprint linenums">&gt; tar -zxvf redis-3.2..tar.gz</pre>
</div>
<h3>3、转换目录<em><br /></em></h3>
<div>
<pre class="prettyprint linenums">&gt; cd redis-3.2.</pre>
</div>
<h3><em>4、编译并安装redis<br /></em></h3>
<div>
<pre class="prettyprint linenums">&gt; make &amp;&amp; make install</pre>
</div>
<p>/****************************************/<br />安装完成后： 系统会把src目录下生成的6个可执行文件移动到/usr/local/bin目录下<br />（六个可执行文件redis-server、redis-cli、redis-benchmark、redis-check-aof、redis-check-rdb、redis-sentinel）<br />/****************************************/</p>
<h3>5、配置文件</h3>
<div>
<pre class="prettyprint linenums">&gt; mkdir -p /etc/redis #创建配置文件目录<br />
&gt; cp /usr/local/src/redis-3.2./redis.conf /etc/redis/.conf #先把配置文件拷贝一份到/etc/redis/下面<br />
&gt; vim /etc/redis/.conf</pre>
</div>
<p># 修改配置<br />daemonize yes #守护进程<br />bind 0.0.0.0 #开启远程访问<br />protected-mode no #要设置成no(默认是设置成yes的，防止了远程访问，在redis3.2.3版本后）</p>
<h3>6、将redis安装为服务，设置开机启动</h3>
<div>
<pre class="prettyprint linenums">vim /usr/lib/systemd/system/redis.service</pre>
</div>
<p>加入以下内容：</p>
<div>
<pre class="prettyprint linenums">[Unit]<br />
Description=The redis-server Process Manager<br />
After=syslog.target network.target

[Service]<br />
Type=forking<br />
PIDFile=/var/run/redis_6379.pid<br />
ExecStart=/usr/local/bin/redis-server /etc/redis/.conf<br />
ExecReload=/bin/kill -USR2 $MAINPID<br />
ExecStop=/bin/kill -SIGINT $MAINPID

[Install]<br />
WantedBy=multi-user.target</pre>
</div>
<p>:wq #保存并退出</p>
<p>systemctl daemon-reload&nbsp; #重新载入<br />systemctl enable redis&nbsp; &nbsp;#设置开机启动<br />systemctl start redis #启动redis<br />systemctl status redis #查看redis服务状态</p>
<h3>6、开启防火墙（如果开了防火墙的话）</h3>
<p>firewall-cmd --zone=public --add-port=6379/tcp --permanent<br />firewall-cmd --reload&nbsp; &nbsp; &nbsp; #重启firewall</p>
<p>如果</p>
<p>果防火墙用的是iptables，就vim /etc/sysconfig/iptables<em>增加一行</em></p>
<p>A INPUT -p tcp -m state --state NeW -m tcp --dport 6379 -j ACCEPT</p>
<p>重启防火墙<br />systemctl restart iptables</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8ojxkpq.html">JSON详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqvkw2x9.html">FP 某段SQL语句执行时间超过1个小时，并报错：ORA-01652&colon; 无法通过 128 &lpar;在表空间 TEMPSTG 中&rpar; 扩展</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq127oz9.html">Javascript setTimeout 带参数延迟执行 闭包实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2zyk3q.html">济南学习D2T1&lowbar;&lowbar;折纸带</a>
		</li>
						<li><a href="https://www.batexi.com/a/49gnvzl8.html">SQLServer DMV Query</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjmdmz9.html">&lbrack;COCI&rsqb;coci2015&sol;2016 nekameleoni</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv03vxq.html">大部分人努力程度之低，根本轮不到拼天赋 &lbrack;转自w3cschool&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjg6n79.html">ASP&period;NET MVC- Area 使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde1dkx9.html">UIImage载入图片的几种方式及差别</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w14gxq.html">javascript基础学习（九）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljvo209.html">Java开源博客My-Blog之docker组件化修改</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j1zlv8.html">Tomcat集群如何同步会话</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp3v169.html">Thymeleaf常用th标签</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1k5ylq.html">【论文笔记】Malware Detection with Deep Neural Network Using Process Behavior</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g07pmq.html">HDFS中将普通用户增加到超级用户组supergroup</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jzr63q.html">最大熵与最大似然，以及KL距离。</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25e3vlq.html">js获取本机id</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2g2d6q.html">mysql索引相关</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1vjgpzq.html">unittest框架断言方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnnkm7jq.html">ComboxEdit 重要属性</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9pwwe7y8.html">CentOS7&plus;Mono5&period;2&period;0&period;224 &plus;Jexus5&period;8&period;3&period;0 布署 Asp&period;Net MVC &lpar;vs2017&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r55mmmq.html">murri</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4jj2xjq.html">DotNetCore深入了解之二HttpContext类</a>
			</li>
						<li><a href="https://www.batexi.com/a/93ww1rwq.html">Ajax 上传input type file 文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwwv609.html">TCP&sol;IP原理浅析</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o110jeq.html">Go signals 信号</a>
			</li>
						<li><a href="https://www.batexi.com/a/95ggkp0q.html">1&period;Magicodes&period;NET框架之路&mdash;&mdash;起航</a>
			</li>
						<li><a href="https://www.batexi.com/a/8m225kpq.html">【leet-code】135&period; 加油站</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gjj70e9.html">yum安装php  Requires&colon; libzip5&lpar;x86-64&rpar; &amp;gt&semi;&equals; 1&period;3&period;2</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7oo5pj8.html">翻译：load data infile&lpar;已提交到MariaDB官方手册&rpar;</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
